aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-verify-perf.sh
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2017-04-19 15:29:51 +0200
committerTibor Frank <tifrank@cisco.com>2017-04-24 06:12:33 +0000
commit4d6649fcdf2a57eed506b3e6ee4fab6b9af66016 (patch)
tree3f71d40e6e573c47201a6a27bc8131f7db5d2a8e /bootstrap-verify-perf.sh
parentacb74dbf9b36a9f324d4fdd35dbd4711ead8412e (diff)
CSIT-557: Performance jobs reorganisation, part 3
Add: - csit-vpp-perf-verify Change-Id: Ifc97228f5066f5a2ab3404b9b62d09b49af3f061 Signed-off-by: Tibor Frank <tifrank@cisco.com> (cherry picked from commit 7a52c16bc35b6abfd0cfacbc6be79b38ee467367)
Diffstat (limited to 'bootstrap-verify-perf.sh')
-rwxr-xr-xbootstrap-verify-perf.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index 91d3e7c8c5..0fcbac69de 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -184,6 +184,54 @@ case "$TEST_TAG" in
tests/
RETURN_STATUS=$(echo $?)
;;
+ VERIFY-PERF-IP4 )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrdiscANDnic_intel-x520-da2AND1t1cANDip4baseORndrdiscANDnic_intel-x520-da2AND1t1cANDip4fwdANDfib_2m \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
+ VERIFY-PERF-IP6 )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrdiscANDnic_intel-x520-da2AND1t1cANDip6baseORndrdiscANDnic_intel-x520-da2AND1t1cANDip6fwdANDfib_2m \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
+ VERIFY-PERF-L2 )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrdiscANDnic_intel-x520-da2AND1t1cANDl2xcbaseORndrdiscANDnic_intel-x520-da2AND1t1cANDl2bdbase \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
+ VERIFY-PERF-LISP )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrdiscANDnic_intel-x520-da2AND1t1cANDlisp \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
+ VERIFY-PERF-VXLAN )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrdiscANDnic_intel-x520-da2AND1t1cANDvxlan \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
+ VERIFY-PERF-VHOST )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrdiscANDnic_intel-x520-da2AND1t1cANDvhost \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
PERFTEST_LONG )
pybot ${PYBOT_ARGS} \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \